Get response actions
https://{kibana_url}
- GET /api/endpoint/action
- GET /s/{space_id}/api/endpoint/action
Refer to Spaces for more information.
Get a list of all response actions.
Query Parameters
-
pageinteger · min: 1 · default: 1 The page number to return.
-
pageSizeinteger · min: 1 · max: 100 · default: 10 The number of response actions to return per page.
-
commandsobject · max: 50 A list of response action command names to filter by.
-
Values:
isolateunisolatekill-processsuspend-processrunning-processesget-fileexecuteuploadscanrunscriptcancelmemory-dump -
agentIds· min: 1 A list of Elastic Agent IDs to filter the response actions by.
-
userIds A list of user IDs that submitted the response actions.
-
startDatestring A start date in ISO 8601 format or Date Math format (for example,
now-24h).-
endDatestring An end date in ISO 8601 format or Date Math format (for example,
now).-
agentTypes The agent type to filter response actions by. Defaults to
endpoint.-
Values:
endpointsentinel_onecrowdstrikemicrosoft_defender_endpoint -
withOutputs A list of response action IDs whose outputs should be included in the response.
-
typesobject · min: 1 · max: 2 A list of response action types to filter by (
automated,manual).-
Values:
automatedmanual
Response
Indicates a successful call.
-
agentTypesstring -
The list of agent types the query was filtered by.
-
commandsstring -
The list of commands the query was filtered by.
-
dataobject -
The list of response actions.
-
agentsstring -
The agent IDs for the hosts that the response action was sent to
-
agentStatemap string to object -
The state of the response action for each agent ID that it was sent to
-
<string>object -
completedAtstring -
The date and time the response action was completed for the agent ID
-
isCompletedboolean -
Whether the response action is completed for the agent ID
-
wasCanceledboolean -
Whether the response action was canceled for the agent ID
-
wasSuccessfulboolean -
Whether the response action was successful for the agent ID
-
agentType -
List of agent types to retrieve. Defaults to
endpoint. -
Values:
endpointsentinel_onecrowdstrikemicrosoft_defender_endpoint -
command· min: 1required -
The command for the response action
-
Values:
isolateunisolatekill-processsuspend-processrunning-processesget-fileexecuteuploadscanrunscriptcancelmemory-dump -
completedAtstring -
The response action completion time
-
createdBystring -
The user who created the response action
-
hostsmap string to object -
An object containing the host names associated with the agent IDs the response action was sent to
-
<string>object -
namestring -
The host name
-
idstring -
The response action ID
-
isCompleteboolean -
Whether the response action is complete
-
isExpiredboolean -
Whether the response action is expired
-
outputsmap string to object -
The outputs of the response action for each agent ID that it was sent to. Content different depending on the response action command and will only be present for agents that have responded to the response action
-
parametersobject -
The parameters of the response action. Content different depending on the response action command
-
startedAtstring -
The response action start time
-
statusstring -
The response action status
-
wasCanceledboolean -
Whether the response action was canceled
-
wasSuccessfulboolean -
Whether the response action was successful
-
elasticAgentIdsstring -
The list of elastic agent IDs the query was filtered by.
-
endDatestring -
The end date filter applied to the query.
-
pageinteger -
The current page number.
-
pageSizeinteger -
The number of items per page.
-
startDatestring -
The start date filter applied to the query.
-
statusesstring -
The list of statuses the query was filtered by.
-
totalinteger -
The total number of response actions matching the query.
-
userIdsstring -
The list of user IDs the query was filtered by.